<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/main_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_marginBottom="50dp"
    android:background="@color/background_color"
    android:orientation="vertical"
    android:padding="@dimen/default_screen_padding">

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/title_note"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="20dp"
        android:text="Please complete the registration process to activate your new number."
        android:textSize="@dimen/large_text_size" />

    <LinearLayout
        android:id="@+id/view_sub_main"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_box_white_stroke_grey"
        android:orientation="vertical"
        android:paddingBottom="10dp">

        <RadioGroup
            android:id="@+id/radio_group_select"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <FrameLayout
                android:id="@+id/frame_current_info"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="false"
                android:paddingStart="10dp"
                android:paddingTop="5dp"
                android:paddingEnd="10dp"
                android:paddingBottom="5dp">

                <RadioButton
                    android:id="@+id/radio_button_current_info"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:checked="true"
                    android:clickable="false"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:text="Use my current info"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/default_text_size" />
            </FrameLayout>

            <FrameLayout
                android:id="@+id/frame_new_info"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/bg_info_unselected"
                android:clickable="false"
                android:paddingStart="10dp"
                android:paddingTop="5dp"
                android:paddingEnd="10dp"
                android:paddingBottom="5dp">

                <RadioButton
                    android:id="@+id/radio_button_new_id"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:clickable="false"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:text="Register new ID"
                    android:textColor="@color/colorGray"
                    android:textSize="@dimen/default_text_size" />
            </FrameLayout>
        </RadioGroup>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center"
                android:text="Please fill in your information"
                android:textSize="@dimen/default_text_size" />

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/btn_scan"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_marginTop="10dp"
                android:background="@drawable/bg_button_primary"
                android:gravity="center"
                android:text="Scan ID"
                android:textColor="@android:color/white"
                android:textSize="@dimen/default_text_size"
                android:visibility="visible" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_id_type"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/bg_box_white_stroke_grey"
                android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                android:hint="Document Type"
                android:paddingStart="10dp"
                android:paddingTop="5dp"
                android:paddingEnd="10dp"
                android:paddingBottom="5dp"
                android:textColor="@android:color/black"
                android:textSize="@dimen/default_text_size" />

            <EditText
                android:id="@+id/edit_text_card_number"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/bg_box_white_stroke_grey"
                android:hint="ID#"
                android:inputType="text"
                android:lines="1"
                android:maxLines="1"
                android:paddingStart="10dp"
                android:paddingTop="5dp"
                android:paddingEnd="10dp"
                android:paddingBottom="5dp"
                android:textSize="@dimen/default_text_size" />

            <EditText
                android:id="@+id/edit_text_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/bg_box_white_stroke_grey"
                android:hint="Name"
                android:inputType="text"
                android:lines="1"
                android:maxLines="1"
                android:paddingStart="10dp"
                android:paddingTop="5dp"
                android:paddingEnd="10dp"
                android:paddingBottom="5dp"
                android:textSize="@dimen/default_text_size" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_sex"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/bg_box_white_stroke_grey"
                android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                android:hint="Gender"
                android:paddingStart="10dp"
                android:paddingTop="5dp"
                android:paddingEnd="10dp"
                android:paddingBottom="5dp"
                android:textSize="@dimen/default_text_size" />

            <LinearLayout
                android:id="@+id/view_dob"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_date"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginEnd="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_box_white_stroke_grey"
                    android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                    android:hint="Day"
                    android:paddingStart="10dp"
                    android:paddingTop="5dp"
                    android:paddingEnd="10dp"
                    android:paddingBottom="5dp"
                    android:textSize="@dimen/default_text_size" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_month"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginEnd="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_box_white_stroke_grey"
                    android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                    android:hint="Month"
                    android:paddingStart="10dp"
                    android:paddingTop="5dp"
                    android:paddingEnd="10dp"
                    android:paddingBottom="5dp"
                    android:textSize="@dimen/default_text_size" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_year"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_box_white_stroke_grey"
                    android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                    android:hint="Year"
                    android:paddingStart="10dp"
                    android:paddingTop="5dp"
                    android:paddingEnd="10dp"
                    android:paddingBottom="5dp"
                    android:textSize="@dimen/default_text_size" />
            </LinearLayout>

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:text="National ID / Passport"
                android:textColor="@android:color/black"
                android:textSize="@dimen/small_text_size" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <FrameLayout
                    android:layout_width="0dp"
                    android:layout_height="100dp"
                    android:layout_marginEnd="8dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_box_white_stroke_grey"
                    android:padding="5dp">

                    <LinearLayout
                        android:id="@+id/layout_upload_front"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/background_color"
                        android:gravity="center"
                        android:orientation="vertical">

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/textView_font_id"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Front ID / Passport"
                            android:textAlignment="center"
                            android:textSize="@dimen/small_text_size" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/text_view_upload"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Upload"
                            android:textSize="@dimen/extra_large_text_size" />
                    </LinearLayout>

                    <ImageView
                        android:id="@+id/image_view_front"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/background_color"
                        android:visibility="gone" />
                </FrameLayout>

                <FrameLayout
                    android:layout_width="0dp"
                    android:layout_height="100dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_box_white_stroke_grey"
                    android:padding="5dp">

                    <LinearLayout
                        android:id="@+id/layout_upload_back"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/background_color"
                        android:gravity="center"
                        android:orientation="vertical">

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/text_view_back"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Back ID / Passport"
                            android:textAlignment="center"
                            android:textSize="@dimen/small_text_size" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/text_view_back_upload"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Upload"
                            android:textSize="@dimen/extra_large_text_size" />
                    </LinearLayout>

                    <ImageView
                        android:id="@+id/image_view_back"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/background_color"
                        android:visibility="gone" />
                </FrameLayout>
            </LinearLayout>

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/title_your_photo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="Your Photo"
                android:textColor="@android:color/black"
                android:textSize="@dimen/small_text_size" />

            <LinearLayout
                android:id="@+id/view_block_profile"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:weightSum="1">

                <FrameLayout
                    android:layout_width="0dp"
                    android:layout_height="100dp"
                    android:layout_marginEnd="8dp"
                    android:layout_weight="0.5"
                    android:background="@drawable/bg_box_white_stroke_grey"
                    android:padding="5dp">

                    <LinearLayout
                        android:id="@+id/layout_upload_user"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/background_color"
                        android:gravity="center"
                        android:orientation="vertical">

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/text_view_photo"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Face Scan"
                            android:textSize="@dimen/small_text_size" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:visibility="gone"
                            android:id="@+id/text_view_upload_photo"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Upload"
                            android:textSize="@dimen/extra_large_text_size" />
                    </LinearLayout>

                    <ImageView
                        android:id="@+id/image_view_user"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/background_color"
                        android:visibility="gone" />
                </FrameLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>